#23 Difficulty with fff files.

None
closed
None
5
2014-03-23
2012-12-18
No

I have difficulty loading fff files using FreeImage. I thought it might be my code but the "Multiple Image Resizer.NET" program that also uses FreeImage has the same issue with these files.

They are correctly identified as RAW files but get no further as the C++ function FreeImage_LoadFromHandle returns 0. It works fine with other RAW files such as nef and cr2.

I can supply a sample upon request, but they are quite large 234181 bytes.

Related

Support Requests: #23

Discussion

  • Hervé Drolon

    Hervé Drolon - 2013-01-07

    Hi,

    I have no Imacon FFF test image in my database.
    Can you send a test file to freeimage at aliceadsl dot fr ?

    Hervé

     
  • Hervé Drolon

    Hervé Drolon - 2013-01-08

    Hi,

    Thanks for the test images.
    After some quick tests, it appears that the FreeImage underlying LibRaw lib cannot decode these IMACON files.
    Loading the embedded JPEG files (using the RAW_PREVIEW flag) seems OK however, but there's no Exif metadata available (this is strange).
    Note that these files cannot be read by the Adobe DNG Converter 7.3.0.71.

    I will investigate on this ASAP ...

    Hervé

     
  • Matthew Carey

    Matthew Carey - 2013-01-09

    Hervé,

    I have asked about these images and this is where they are from:

    The camera that produces the FFF files are:

    Hassalblad H3D 39MS (mutli shot)
    Hassalblad H3D 39 single shot

    There are two different bits of software we use:
    Flexicolor
    http://www.hasselbladusa.com/about-hasselblad/flexcolor-highlights.aspx

    Phocus
    http://www.hasselbladusa.com/products/phocus-.aspx

    Best wishes,

    Matthew

    On 08/01/13 22:33, "Hervé Drolon" wrote:

    Hi,

    Thanks for the test images.
    After some quick tests, it appears that the FreeImage underlying LibRaw lib
    cannot decode these IMACON files.
    Loading the embedded JPEG files (using the RAW_PREVIEW flag) seems OK however,
    but there's no Exif metadata available (this is strange).
    Note that these files cannot be read by the Adobe DNG Converter 7.3.0.71.

    I will investigate on this ASAP ...

    Hervé


    [support-requests:#23]
    http://sourceforge.net/p/freeimage/support-requests/23/ Difficulty with fff
    files.

    Status: open
    Created: Tue Dec 18, 2012 05:47 PM UTC by Matthew Carey
    Last Updated: Tue Dec 18, 2012 05:47 PM UTC
    Owner: nobody

    I have difficulty loading fff files using FreeImage. I thought it might be my
    code but the "Multiple Image Resizer.NET" program that also uses FreeImage has
    the same issue with these files.

    They are correctly identified as RAW files but get no further as the C++
    function FreeImage_LoadFromHandle returns 0. It works fine with other RAW
    files such as nef and cr2.

    I can supply a sample upon request, but they are quite large 234181 bytes.


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/freeimage/support-requests/23/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/prefs/

     

    Related

    Support Requests: #23

  • Hervé Drolon

    Hervé Drolon - 2013-01-10

    Hi Matthew,

    I can now confirm that your Imacon/Hasselblad images are not supported by dcraw.
    As an alternative, I suggest you submit them to the dcraw author, I'm sure he will find a way to support this format in its program. Then, FreeImage will also support the format.

    See http://www.cybercom.net/~dcoffin/dcraw/#faq
    and the item "Does dcraw work with my camera?"

    Hervé

     
  • Hervé Drolon

    Hervé Drolon - 2014-03-23

    fixed in release 3.16.0

     
  • Hervé Drolon

    Hervé Drolon - 2014-03-23
    • status: open --> closed
    • assigned_to: Hervé Drolon
    • Group: -->
     


Anonymous

Cancel  Add attachments





Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks